VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CBarItem"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Option Compare Text
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' CBarItem
' This class relates a workbook to the command bar button that activates the workbook.
' There is one instance of CBarItem for each open (and visible) workbook, corresponding to one button
' on the command bar, referenced by the BTN object in this class. When a workbook button
' is clicked, this class activates the workbook. We can't do a Refresh here because Refresh
' would attempt to delete the ActionControl which would result in an automation error.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public WorkbookFullName As String   ' full name (with drive and path) of the workbook.
Public WithEvents BTN As Office.CommandBarButton    ' the CommandBarButton object corresponding to the workbook
Attribute BTN.VB_VarHelpID = -1
Public DisplayText As String    ' text to display on button


Private Sub BTN_Click(ByVal Ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    Dim WB As Workbook
    Dim FName As String
    Dim Pos As Long
    On Error Resume Next
    '''''''''''''''''''''''''''''''''''''''''
    ' We need just the file name (no drive or
    ' path) to activate the workbook. If the
    ' workbook is saved to disk, WorkbookFullName
    ' will have a '\' char, so get the last '\'
    ' and get the filename to the right of that.
    ' If no '\' is found, FName is the same as
    ' WorkbookFullName so use that.
    ' After activating the workbook (if it exists)
    ' refresh the command bar.
    '''''''''''''''''''''''''''''''''''''''''
    If WorkbookFullName <> vbNullString Then
        Pos = InStrRev(WorkbookFullName, "\")
        If Pos > 0 Then
            FName = Mid(WorkbookFullName, Pos + 1)
        Else
            ' FName = vbNullString
            FName = WorkbookFullName
        End If
        Err.Clear
        '''''''''''''''''''''''''''''''''
        ' Ensure Workbooks(FName) exists.
        '''''''''''''''''''''''''''''''''
        Set WB = XL.Workbooks(FName)
        If Err.Number = 0 Then
            WB.Activate
        Else

        End If
    End If
End Sub

