Attribute VB_Name = "modRegistryInclude"
Option Explicit
Option Compare Text

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' modRegistryInclude
' This file contains constants and types used by the RegistryWorx DLL.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Error Constants
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Public Const C_REG_ERR_NO_ERROR As Long = 0
Public Const C_REG_ERR_INVALID_BASE_KEY  As Long = 1
Public Const C_REG_ERR_INVALID_DATA_TYPE  As Long = 2
Public Const C_REG_ERR_KEY_NOT_FOUND  As Long = 3
Public Const C_REG_ERR_VALUE_NOT_FOUND  As Long = 4
Public Const C_REG_ERR_DATA_TYPE_MISMATCH  As Long = 5
Public Const C_REG_ERR_ENTRY_LOCKED  As Long = 6
Public Const C_REG_ERR_INVALID_KEYNAME  As Long = 7
Public Const C_REG_ERR_UNABLE_TO_OPEN_KEY  As Long = 8
Public Const C_REG_ERR_UNABLE_TO_READ_KEY  As Long = 9
Public Const C_REG_ERR_UNABLE_TO_CREATE_KEY  As Long = 10
Public Const C_REG_ERR_UBABLE_TO_READ_VALUE  As Long = 11
Public Const C_REG_ERR_UNABLE_TO_UDPATE_VALUE  As Long = 12
Public Const C_REG_ERR_UNABLE_TO_CREATE_VALUE  As Long = 13
Public Const C_REG_ERR_UNABLE_TO_DELETE_KEY  As Long = 14
Public Const C_REG_ERR_UNABLE_TO_DELETE_VALUE  As Long = 15
Public Const C_REG_ERR_CONFIG_NOT_EXIST As Long = 16
Public Const C_REG_ERR_INVALID_CONFIG_XML As Long = 17
Public Const C_REG_ERR_VALUE_ALREADY_EXISTS As Long = 18
Public Const C_REG_ERR_KEY_ALREADY_EXISTS As Long = 19
Public Const C_REG_ERR_KEY_CANNOT_BE_EMPTY As Long = 20
Public Const C_REG_ERR_INVALID_KEY_VALUE As Long = 21


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Application Constants
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Type RegValue
    ValueName As String
    ValueValue As Variant
End Type

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' API Constants
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Const HKEY_CURRENT_USER As Long = &H80000001
Public Const HKEY_LOCAL_MACHINE As Long = &H80000002
Public Const HKEY_CLASSES_ROOT = &H80000000
Public Const HKEY_CURRENT_CONFIG = &H80000005
Public Const HKEY_DYN_DATA = &H80000006
Public Const HKEY_PERFORMANCE_DATA = &H80000004
Public Const HKEY_USERS = &H80000003


Public Const HKCU = HKEY_CURRENT_USER
Public Const HKLM = HKEY_LOCAL_MACHINE


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Registry Data Type used by RegistryCreateValue
' If type is REG_DATA_TYPE_DEFAULT, the value type will be REG_DWORD (VB6/VBA Long type) if the value is numeric,
' REG_SZ if th value is not numeric. If type is REG_SZ, then the value will be coerced to a string with CStr. If
' type is REG_DWORD, the value must be a numeric value; if the value is not numeric, an error will occur.
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Public Enum REG_DATA_TYPE
    REG_DATA_TYPE_DEFAULT = 0   ' Default based on data type of value.
    REG_INVALID = -1            ' Invalid
    REG_SZ = 1                  ' String
    REG_DWORD = 4               ' Long
End Enum

